using System.ComponentModel.DataAnnotations;

namespace GestionIntegral.Api.Dtos.Radios
{
    public class GenerarListaRadioRequestDto
    {
        [Required(ErrorMessage = "El mes es obligatorio.")]
        [Range(1, 12, ErrorMessage = "El mes debe estar entre 1 y 12.")]
        public int Mes { get; set; }

        [Required(ErrorMessage = "El año es obligatorio.")]
        [Range(2000, 2999, ErrorMessage = "El año debe ser un valor válido (ej. 2024).")] // Ajusta el rango si es necesario
        public int Anio { get; set; }

        [Required(ErrorMessage = "La institución es obligatoria.")]
        [RegularExpression("^(AADI|SADAIC)$", ErrorMessage = "La institución debe ser 'AADI' o 'SADAIC'.")]
        public string Institucion { get; set; } = string.Empty;

        [Required(ErrorMessage = "La radio es obligatoria.")]
        [RegularExpression("^(FM 99.1|FM 100.3)$", ErrorMessage = "La radio debe ser 'FM 99.1' o 'FM 100.3'.")]
        public string Radio { get; set; } = string.Empty;
    }
}